
MODULES = \
  sequence list-as-sequence vector-as-sequence sequence-sgn \
  sequence-list-impl sequence-vector-impl \
  assoc-sgn assoc-list-impl hash-table

PROGS = hello-world sequence-test sequence-sgn-test assoc-test assoc-test2 \
  creators param-creators

INTERFACE_SRC = $(MODULES:%=%.thi)
BODY_SRC = $(MODULES:%=%.thb)
PROG_SRC = $(PROGS:%=%.thp)

EXTRA_DIST = user.mk

examplesdir = $(THEME_D_EXAMPLES_DIR)
examples_DATA = $(INTERFACE_SRC) $(BODY_SRC) $(PROG_SRC) user.mk \
  run-programs.sh run-programs-local.sh

install-data-hook ::
	chmod 755 $(DESTDIR)/$(examplesdir)/run-programs.sh
	chmod 755 $(DESTDIR)/$(examplesdir)/run-programs-local.sh

mostlyclean-local: mostlyclean-local-check

.PHONY:  mostlyclean-local-check

mostlyclean-local-check:
	-rm -f *.tc?
